## org.eclipse.emf.edit.provider
Interface ITableItemLabelProvider

All Known Implementing Classes:
  AdapterFactoryItemDelegator, DelegatingWrapperItemProvider, FeatureMapEntryWrapperItemProvider, ItemPropertyDescriptor.ItemDelegator

    public interface ITableItemLabelProvider

This is the interface needed to provide labels for items in a TableViewer. This interface is similar to `IItemLabelProvider`, but this will pass additional information, namely the column index.

Method Summary
`java.lang.Object` `getColumnImage(java.lang.Object object, int columnIndex)` This does the same thing as ITableLabelProvider.getColumnImage.
`java.lang.String` `getColumnText(java.lang.Object object, int columnIndex)` This does the same thing as ITableLabelProvider.getColumnText.

Method Detail

### getColumnText

    java.lang.String getColumnText(java.lang.Object object,
                                   int columnIndex)

  This does the same thing as ITableLabelProvider.getColumnText.

### getColumnImage

    java.lang.Object getColumnImage(java.lang.Object object,
                                    int columnIndex)

  This does the same thing as ITableLabelProvider.getColumnImage.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.